function love.load()
    square = love.graphics.newImage('square.png')

    ps = love.graphics.newParticleSystem(square, 1000)
    ps:setPosition(400, 300)
    ps:setEmissionRate(200)
    ps:setParticleLifetime(2)
    ps:setSizes(1, 0)
    ps:setSpeed(100)

    areaX = 160
    areaY = 80
    areaAngle = 1

    ps:setAreaSpread('borderrectangle', areaX, areaY)
    ps:setAreaSpreadAngle(areaAngle)
    ps:setDirection(0)
    ps:setAreaSpreadIsRelativeDirection(true)
end


function love.update(dt)
    ps:update(dt)
end

function love.draw()
    love.graphics.draw(ps, 0, 0)
end
